yyguts_t Struct Reference

## Data Fields

YY_EXTRA_TYPE | yyextra_r
FILE * | yyin_r
FILE * | yyout_r
size_t | yy_buffer_stack_top
| index of top of stack. More...
size_t | yy_buffer_stack_max
| capacity of stack. More...
YY_BUFFER_STATE * | yy_buffer_stack
| Stack as an array. More...
char | yy_hold_char
int | yy_n_chars
int | yyleng_r
char * | yy_c_buf_p
int | yy_init
int | yy_start
int | yy_did_buffer_switch_on_eof
int | yy_start_stack_ptr
int | yy_start_stack_depth
int * | yy_start_stack
yy_state_type | yy_last_accepting_state
char * | yy_last_accepting_cpos
int | yylineno_r
int | yy_flex_debug_r
char * | yytext_r
int | yy_more_flag
int | yy_more_len
YYSTYPE * | yylval_r

## Detailed Description

Definition at line 626 of file jsgf_scanner.c.

## Field Documentation

YY_BUFFER_STATE* yyguts_t::yy_buffer_stack

Stack as an array.

Definition at line 636 of file jsgf_scanner.c.

size_t yyguts_t::yy_buffer_stack_max

capacity of stack.

Definition at line 635 of file jsgf_scanner.c.

size_t yyguts_t::yy_buffer_stack_top

index of top of stack.

Definition at line 634 of file jsgf_scanner.c.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/lm/jsgf_scanner.c